-- name: [CS] Yui
-- description: Yui from K-On - Model by LukasATBK, voice from Toadette by Melissa Mekrose

local E_MODEL_YUI = smlua_model_util_get_id("yui_geo")


local TEXT_MOD_NAME = "yuipack"

local TEX_YUI = get_texture_info("yui_icon")

VOICETABLE_YUI = {
    [CHAR_SOUND_ATTACKED] = "toadette_hurt_hard.ogg",
    [CHAR_SOUND_GROUND_POUND_WAH] = "toadette_yah.ogg",
    [CHAR_SOUND_HAHA] = "toadette_haahaa.ogg",
    [CHAR_SOUND_HAHA_2] = "toadette_haahaa.ogg",
    [CHAR_SOUND_HERE_WE_GO] = "toadette_here_we_go.ogg",
    [CHAR_SOUND_HOOHOO] = "toadette_hoo.ogg",
    [CHAR_SOUND_ON_FIRE] = "toadette_burning.ogg",
    [CHAR_SOUND_OOOF] = "toadette_oof.ogg",
    [CHAR_SOUND_OOOF2] = "toadette_oof2.ogg",
    [CHAR_SOUND_PUNCH_HOO] = "toadette_hoo.ogg",
    [CHAR_SOUND_PUNCH_WAH] = "toadette_wah.ogg",
    [CHAR_SOUND_PUNCH_YAH] = "toadette_yah.ogg",
    [CHAR_SOUND_SO_LONGA_BOWSER] = "toadette_bowser.ogg",
    [CHAR_SOUND_TWIRL_BOUNCE] = "toadette_boing.ogg",
    [CHAR_SOUND_WAAAOOOW] = "toadette_fall.ogg",
    [CHAR_SOUND_WAH2] = "toadette_wah.ogg",
    [CHAR_SOUND_WHOA] = "toadette_woah.ogg",
    [CHAR_SOUND_YAHOO] = "toadette_yahoo.ogg",
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {"toadette_yahoo.ogg", "toadette_yippee.ogg"},
    [CHAR_SOUND_YAH_WAH_HOO] = {"toadette_yah.ogg", "toadette_wah.ogg", "toadette_hoo.ogg"},
    [CHAR_SOUND_OKEY_DOKEY] = "toadette_okay.ogg",
    [CHAR_SOUND_LETS_A_GO] = "toadette_okay.ogg",
    [CHAR_SOUND_DYING] = "toadette_dead.ogg",
    [CHAR_SOUND_DROWNING] = "toadette_drowning.ogg",
    [CHAR_SOUND_EEUH] = "toadette_pickup.ogg",
    [CHAR_SOUND_MAMA_MIA] = "toadette_ooh.ogg",
    [CHAR_SOUND_DOH] = "toadette_oof.ogg",
    [CHAR_SOUND_HRMM] = "toadette_pickup.ogg",
    [CHAR_SOUND_PANTING] = "toadette_pant.ogg",
    [CHAR_SOUND_UH] = "toadette_oof2.ogg",
    [CHAR_SOUND_UH2] = "toadette_oof2.ogg",
    [CHAR_SOUND_UH2_2] = "toadette_oof2.ogg"
}

if _G.charSelectExists then
    	_G.charSelect.character_add("Yui", {"She's a lead guitarist and vocalist!"}, "Lukas ATBK, Melissa Mekrose", {r = 255, g = 165, b = 0}, E_MODEL_YUI, CT_MARIO, TEX_YUI)
				    -- sfx
    _G.charSelect.character_add_voice(E_MODEL_YUI, VOICETABLE_YUI)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_YUI then return _G.charSelect.voice.sound(m, sound) end
    end)
	
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end